
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: pvc01
spec:
  storageClassName: do-block-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi

---
kind: Pod
apiVersion: v1
metadata:
  name: test-pod
spec:
  containers:
  - image: aemc/whoami
    name: whoami-container
    volumeMounts:
    - mountPath: /mnt
      name: test-volume
  volumes:
  - name: test-volume
    persistentVolumeClaim:
      claimName: pvc01
